#!/bin/sh
if [ ! -d "/usr/local/lib" ]; then
echo "Creating directory \"/usr/local/lib\"..."
sudo mkdir "/usr/local/lib"
fi
echo "Downloading \"SUVMMFaker.dylib\"..."
sudo curl -o "/usr/local/lib/SUVMMFaker.dylib" "http://dosdude1.com/sierra/swupatch/SUVMMFaker.dylib"
sudo chmod 755 "/usr/local/lib/SUVMMFaker.dylib"
echo "Backing up \"com.apple.softwareupdated.plist\"..."
if [ -f ~/com.apple.softwareupdated.plist ]; then
read -p "This file already exists in the backup location. Overwrite? (y/n): " choice
if [ $choice = "y" ] || [ $choice = "Y" ]; then
echo "Continuing backup..."
cp "/System/Library/LaunchDaemons/com.apple.softwareupdated.plist" ~
elif [ $choice = "n" ] || [ $choice = "N" ]; then
echo "Skipping backup."
else
echo "Invalid entry. Aborting."
exit -1
fi
else
cp "/System/Library/LaunchDaemons/com.apple.softwareupdated.plist" ~
fi
sudo rm "/System/Library/LaunchDaemons/com.apple.softwareupdated.plist"
echo "Downloading \"com.apple.softwareupdated.plist\"..."
sudo curl -o "/System/Library/LaunchDaemons/com.apple.softwareupdated.plist" "http://dosdude1.com/sierra/swupatch/com.apple.softwareupdated.plist"
echo "Restarting softwareupdated..."
sudo launchctl unload /System/Library/LaunchDaemons/com.apple.softwareupdated.plist && sudo launchctl load /System/Library/LaunchDaemons/com.apple.softwareupdated.plist
read -p "Would you like to refresh available updates now? (y/n): " choice
if [ $choice = "y" ] || [ $choice = "Y" ]; then
sudo softwareupdate --list
fi
echo "\nOperation complete.\n"